| OpenCV 4.3.0 Open Source Computer Vision

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
cv::detail::PairwiseSeamFinder Class Referenceabstract
Images stitching » Seam Estimation

Base class for all pairwise seam estimators. More...

`#include <opencv2/stitching/detail/seam_finders.hpp>`

Inheritance diagram for cv::detail::PairwiseSeamFinder:

## Public Member Functions
virtual void | find (const std::vector< UMat > &src, const std::vector< Point > &corners, std::vector< UMat > &masks) CV_OVERRIDE
| Estimates seams. More...
Public Member Functions inherited from cv::detail::SeamFinder
virtual | ~SeamFinder ()

## Protected Member Functions
virtual void | findInPair (size_t first, size_t second, Rect roi)=0
| Resolves masks intersection of two specified images in the given ROI. More...
void | run ()

## Protected Attributes
std::vector< Point > | corners_
std::vector< UMat > | images_
std::vector< UMat > | masks_
std::vector< Size > | sizes_

## Additional Inherited Members
Public Types inherited from cv::detail::SeamFinder
enum | { NO, VORONOI_SEAM, DP_SEAM }
Static Public Member Functions inherited from cv::detail::SeamFinder
static Ptr< SeamFinder > | createDefault (int type)

## Detailed Description

Base class for all pairwise seam estimators.

## Member Function Documentation

## ◆ find()

virtual void cv::detail::PairwiseSeamFinder::find | ( | const std::vector< UMat > & | src,
|  | const std::vector< Point > & | corners,
|  | std::vector< UMat > & | masks
| ) |  |
| virtual

Python:
| masks | = | cv.detail_PairwiseSeamFinder.find( | src, corners, masks | )

Estimates seams.

Parameters

  src | Source images
  corners | Source image top-left corners
  masks | Source image masks to update

Implements cv::detail::SeamFinder.

Reimplemented in cv::detail::VoronoiSeamFinder.

## ◆ findInPair()

virtual void cv::detail::PairwiseSeamFinder::findInPair | ( | size_t | first,
|  | size_t | second,
|  | Rect | roi
| ) |  |
| protected pure virtual

Resolves masks intersection of two specified images in the given ROI.

Parameters

  first | First image index
  second | Second image index
  roi | Region of interest

## ◆ run()

void cv::detail::PairwiseSeamFinder::run | ( |  | ) |
| protected

## Member Data Documentation

## ◆ corners_

std::vector<Point> cv::detail::PairwiseSeamFinder::corners_
| protected

## ◆ images_

std::vector<UMat> cv::detail::PairwiseSeamFinder::images_
| protected

## ◆ masks_

std::vector<UMat> cv::detail::PairwiseSeamFinder::masks_
| protected

## ◆ sizes_

std::vector<Size> cv::detail::PairwiseSeamFinder::sizes_
| protected

The documentation for this class was generated from the following file:

- opencv2/stitching/detail/seam_finders.hpp